#include <iostream>
#include <fstream>
#include <utility>
#include <algorithm>
#include <vector>
#include <string>
using namespace std;

bool check(int p1, int p2, int p3, int p4, int p5, int p6) {
    int sum = p1 + p2*2 + p3*3 + p4*4+p5*5+p6*6;
    if(p1<0||p2<0||p3<0||p4<0||p5<0||p6<0) return false;
    if(p1&1 || p2&1 || p3&1 || p4&1 || p5&1 || p6&1); else return true;
    if(sum & 1)
	return false;
    if(p6 & 1) {
	if(check(p1-1,p2,p3,p4,p5-1, p6-1)) return true;
	if(check(p1,p2-1,p3,p4-1,p5,p6-1)) return true;
	if(check(p1-2,p2,p3,p4-1,p5,p6-1)) return true;
	if(check(p1,p2,p3-2,p4,p5,p6-1)) return true;
	if(check(p1-1,p2-1,p3-1,p4,p5,p6-1)) return true;
	if(check(p1-3,p2,p3-1,p4,p5,p6-1)) return true;
	if(check(p1,p2-3,p3,p4,p5,p6-1)) return true;
	if(check(p1-4,p2-1,p3,p4,p5,p6-1)) return true;
	if(check(p1-2,p2-2,p3,p4,p5,p6-1)) return true;
	if(check(p1-6,p2,p3,p4,p5,p6-1)) return true;
	
	return false;
    }
    if(p5 & 1) {
	if(check(p1-1,p2,p3,p4-1,p5-1,p6)) return true;
	if(check(p1,p2-1,p3-1,p4,p5-1,p6)) return true;
	if(check(p1-2,p2,p3-1,p4,p5-1,p6)) return true;
	if(check(p1-1,p2-2,p3,p4,p5-1,p6)) return true;
	if(check(p1-3,p2-1,p3,p4,p5-1,p6)) return true;
	if(check(p1-5,p2,p3,p4,p5-1,p6)) return true;
	return false;
    }
    if(p4 & 1) {
	if(check(p1-1,p2,p3-1,p4-1,p5,p6)) return true;
	if(check(p1,p2-2,p3,p4-1,p5,p6)) return true;
	if(check(p1-2,p2-1,p3,p4-1,p5,p6)) return true;
	if(check(p1-4,p2,p3,p4-1,p5,p6)) return true;
	return false;
    }
    if(p3 & 1) {
	if(check(p1-1,p2-1,p3-1,p4,p5,p6)) return true;
	if(check(p1-3,p2,p3-1,p4,p5,p6)) return true;
	return false;
    }
    if(p2 & 1) {
	if(check(p1-2,p2,p3,p4,p5,p6)) return true;
	return false;
    }
    return false;


}

int main(int, char **) {
    ifstream in("divide.in");
    int no = 1;
    for(;;) {
	int p[6], sum = 0;
	for(int i= 0; i < 6; i++) {
	    in >> p[i];
	    sum += p[i];
	}
	if(sum == 0)
	    return 0;

	cout << "Collection #" << no++ << ":" << endl;
	bool ok = check(p[0], p[1], p[2], p[3], p[4], p[5]);

	if(ok)
	    cout << "Can be divided." << endl;
	else
	    cout << "Can't be divided." << endl;
	cout << endl;
    }
}


