#include <iostream>
#include <fstream>
#include <utility>
#include <algorithm>
#include <vector>
#include <string>
using namespace std;

int w, h;
bool update;
vector<int> xup, yup;
int distance;
vector<vector<int> > dist;
vector<string> map;
int endx, endy;

bool access(int x, int y) {
    if(x >= 0 && y >= 0 && x < w + 2 && y < h + 2 && map[y][x]
       && dist[y][x] > distance) {
	dist[y][x] = distance;
	xup.push_back(x);
	yup.push_back(y);
	if(x == endx && y == endy)
	    return true;
    }
    return false;
}

int main(int, char **) {
    ifstream in("game.in");
    int no = 1;
    for(;;) {
	in >> w >> h;
	if(w == 0)
	    return 0;
	cout << "Board #" << no++ << endl;
	int *vals = new int[1 << vars];
	int *map = new int[vars];
	for(int i = 0; i < vars; i++) {
	    string s;
	    in >> s;
	    int j = atoi(s.c_str() + 1) - 1;
	    //	    cout << j << " to " << i << endl;
	    // map[j] = i;
	    map[i] = j;
	}
	string temp;
	getline(in, temp);
	for(int i = 0; i < (1 << vars); i++) {
	    char c;
	    in >> c;
	    // cout << "Char is " << (int) c;;
	    vals[i] = (c == '1');
	    // cout << "Val " << i << " is " << vals[i] << endl;
	}
	int count;
	in >> count;
	for(int i = 0; i < count; i++) {
	    getline(in, temp);
	    int index = 0;
	    for(int j = 0; j < vars; j++) {
		char c;
		in >> c;
		index += (1 << map[vars - 1 - j]) * (c == '1');
	    }
	    // cout << "Index is " << index << endl;
	    cout << vals[index] << flush;
	}
	delete[] map, vals;
	cout << endl << endl;
    }
}


