#include <iostream>
#include <fstream>
#include <utility>
#include <algorithm>
#include <vector>
#include <string>
using namespace std;

void calculate(int anz, int nach, int von, vector<int> &vec) {
    while(anz < 10000) {
	//	cout << anz << " " << flush;
	if(anz >= nach)
	    vec.push_back(anz);
	anz += von - nach;
    }
}

vector<int> intersect(vector<int> &vec1, vector<int> &vec2) {
    vector<int> back;
    for(int i = 0, j = 0; i < vec1.size() & j < vec2.size(); ) {
	if(vec1[i] == vec2[j]) {
	    back.push_back(vec1[i]);
	    i++;
	    j++;
	} else if(vec1[i] < vec2[j])
	    i++;
	else
	    j++;
    }
    return back;
}

int main(int, char **) {
    ifstream in("y2k.in");
    int no = 1;
    for(;;) {
	int co;
	in >> co;
	if(co == 0)
	    return 0;
	int anz, von, nach;
	vector<int> possible, actual;
	in >> anz >> nach >> von;
	calculate(anz, nach, von, possible);
	for(int i = 1; i < co; i++) {
	    in >> anz >> nach >> von;
	    actual.clear();
	    calculate(anz, nach, von, actual);
	    possible = intersect(possible, actual);
	}
	cout << "Case #" << no++ << ":" << endl;
	if(!possible.empty())
	    cout << "The actual year is " << possible[0] << "." << endl;
	else
	    cout << "Unknown bugs detected." << endl;
	cout << endl;
    }
}


