import java.io.*;

public class y2k {

    public static void main( String args[] ) {
	Tokenizer in = Tokenizer.getTokenizer( "y2k.in" );

	int n;
	int yrs[][];
	int poss[][];
	int cs = 0;
	int maxa = 0;

	while ( true ) {
	    n = in.nextInt();

	    if ( n== 0 ) 
		break;
	    //	    yrs = new int[n][2]; // 1. jahr, delta
	    poss = new int[n][10000];

	    cs++;
	    System.out.println( "Case #"+cs+":" );

	    for (int i=0; i<n; i++ ) {

		int y,a,b;
		y = in.nextInt();
		a = in.nextInt();
		b = in.nextInt();
		//		yrs[i][0] = y; yrs[i][1] = b-a;

		if (a>maxa) 
		    maxa =a;

		int d = 0;

		while (y+(b-a)*d<= 10000) {
		    poss[i][d] = y+d*(b-a);
		    d++;
		}
		poss[i][d] = -1;
	    }

	    boolean found = false;
	    int year = -1;
	    int i = 0;

	    while (poss[0][i] != -1) {
		boolean f2 = false;
		for( int j=1; j<n;  j++ ) {
		    f2 = false;
		    int k=0;
		    while( poss[j][k] != -1 ) {
			if (poss[j][k] == poss[0][i]) {
			    f2 = true;
			    break;
			}
			k++;
		    }

		    if (!f2)
			break;
		    // gefunden
		}
		
		if (f2) {
		    year = poss[0][i];
		    if (year>=maxa) {
			found = true;
			break;
		    }
		}

		i++;
	    }

	    if (found) {
		System.out.println( "The actual year is " + year + ".");
	    } else
		System.out.println( "Unknown bugs detected." );

	    System.out.println();
	    
	}
    }

}

class Tokenizer extends StreamTokenizer {

    LineNumberReader infile;
    
    public Tokenizer (LineNumberReader in) {
	super (in);
	this.infile=in;
    }
    
    public static Tokenizer getTokenizer (String file) {
	try {
	    LineNumberReader in = new LineNumberReader(new FileReader(file));
	    return new Tokenizer(in);
	} catch (Exception e) {return null;}
    }

    public void defaultSyntax () {
	resetSyntax();
	whitespaceChars(0,32);
	wordChars(33,255);
	eolIsSignificant(false);
	parseNumbers();
    }

    public void allWords() {
	resetSyntax();
	whitespaceChars(0,32);
	wordChars(33,255);
    }
    
    public void allOrdinary() {
	resetSyntax();
	whitespaceChars(0,32);
	ordinaryChars(33,255);
    }

    public void positiveNumbers() {
	defaultSyntax();
	ordinaryChar('.');
	ordinaryChar('-');
	wordChars('.','.');
	wordChars('-','-');
    }
    
    public void positiveFloats() {
	defaultSyntax();
	ordinaryChar('-');
	wordChars('-','-');
    }

    public void ordinaryThese (char[] o) {
	allWords();
	for (int i=0; i<o.length; i++)
	    ordinaryChar(o[i]);
    }

    public String readLine() {
	try {
	    infile.mark(1024);
	    String line=infile.readLine();
	    infile.reset();
	    return line;
	}
	catch (Exception e) {
	    return "*****ERROR!";
	}
    }
    
    public void token() {
	try {
	    nextToken();
	}
	catch (Exception e) {System.out.println("Exception: "+e);}
    }

    public int nextInt() {
	token();
	return (int)nval;
    }

    public double nextDouble() {
	token();
	return (double)nval;
    }
    
    public String nextString() {
	token();
	return sval;
    }
    
    public char nextChar() {
	token();
	return (char) ttype;
    }
}
